from .grpc_lib.invoice_pb2 import (
    CreateInvoiceRequest,
    InquiryInvoiceRetrieveRequest,
    PaymentRequestRequest,
    VerifyPaymentRequest,
    UserListInvoiceRequest,
)
from .grpc_lib.invoice_pb2_grpc import (
    CreateInvoiceControllerStub,
    InquiryInvoiceControllerStub,
    PaymentInvoiceControllerStub,
    UserListInvoiceControllerStub,
)

SUCCESS_CODE = "0"


class InvoiceRequestMessages:
    CREATE = CreateInvoiceRequest()
    INQUIRY = InquiryInvoiceRetrieveRequest()
    FETCH_USER_INVOICES = UserListInvoiceRequest()
    PAYMENT_REQUEST = PaymentRequestRequest()
    VERIFY_PAYMENT = VerifyPaymentRequest()


class InvoiceRPCMethodNames:
    CREATE = "Create"
    INQUIRY = "Retrieve"
    FETCH_USER_INSTANCES = "UserRelatedList"
    PAYMENT_REQUEST = "PaymentRequest"
    VERIFY_PAYMENT = "VerifyPayment"


class InvoiceControllerStubs:
    CREATE = CreateInvoiceControllerStub()
    INQUIRY = InquiryInvoiceControllerStub()
    FETCH_USER_INVOICES = UserListInvoiceControllerStub()
    PAYMENT = PaymentInvoiceControllerStub()
